import { NgModule } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { BrowserModule } from "@angular/platform-browser";
import { BrowserAnimationsModule } from "@angular/platform-browser/animations";
import { AppComponent } from "./app.component";
import { 
	IgxButtonModule,
	IgxDialogModule,
	IgxRippleModule
 } from "igniteui-angular";
import { DialogSample2Component } from "./dialog-sample-2/dialog-sample-2.component";

@NgModule({
  bootstrap: [AppComponent],
  declarations: [
    AppComponent,
		DialogSample2Component
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    FormsModule,
		IgxButtonModule,
		IgxDialogModule,
		IgxRippleModule
  ],
  providers: [],
  entryComponents: []
})
export class AppModule {}
